GETKEY(1)

NOM
getkey - Attendre jusqu'à l'appui sur une touche

SYNOPSIS
getkey [OPTION]... [TOUCHES]

DESCRIPTION
getkey attend jusqu'à ce que l'on appuie sur une des TOUCHES. Si aucune TOUCHES n'est spécifiée, toutes les touches sont acceptées. Les TOUCHES sont insensibles à la casse.

CODE DE RETOUR
getkey quitte avec un code de sortie de 0 si on a appuyé sur l'une des touches attendues. Si on spécifie des arguments invalides, getkey quitte avec un code de sortie de 255. Si getkey est interrompu ou a dépassé le délai d'attente, getkey quitte avec un code de sortie non nul.

OPTIONS

-c, --wait SECONDES
    Attendre seulement SECONDES secondes. La valeur par défaut est 0, ce qui signife attendre indéfiniment.

-i, --ignore-control-chars
    Ne pas traiter les combinaisons Ctrl+C et Ctrl+D de manière particulière. Lorsque cette option n'est pas spécifiée, ces combinaisons interrompe getkey.

-m, --message MESSAGE
    Afficher le MESSAGE pendant l'attente. Le message est passé comme une chaîne de format à sprintf(3), avec un seul argument, le nombre de secondes restantes. Une utilisation classique est : "Appuyez sur une touche avant %d secondes pour ...". Si le MESSAGE contient d'autres directives de chaîne de format, le comportement est indéterminé et getkey se planter. Si aucune limite de temps n'est spécifiée, le nombre de secondes restantes sera rapporté comme étant nul.

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 13 juillet 2006 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 getkey ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.